playeffect("holl_o",true)
if not flags.firstloc6 then
  flags.firstloc6=true
  CreatePlashechka("683")
end;
speciale_action(2,125)
speciale_action(2,125,true,3)
speciale_action(2,124,true,2.9)
speciale_action(2,127)
speciale_action(2,127,true,3)
speciale_action(2,126,true,2.9)

setCursor(obj.mini_Tumba_6_0.id,2);
setCursor(obj.door_Muzey_6_0.id,6);
setCursor(obj.door_ZalMuzeya_6_0.id,7);
setCursor(obj.door_KoridorMuzeya_6_0.id,5);
setCursor(obj.door_HollMuzeyaHidden_6_0.id,2);
setCursor(obj.mini_Zerkalo_6_0.id,2);
setCursor(obj.mini_HollMuzeyaBalerina_6_0.id,2);
setCursor(obj.mini_HollMuzeyaTajnik_6_0.id,2);
setCursor(obj.door_KoridorMuzeya_6_01.id,5);
-- neighbors.HollMuzeyaHidden.lock = false
function SelectRandom()
  if not neighbors.HollMuzeyaHidden.lock then
    giveMeHint(obj.door_HollMuzeyaHidden_6_0.id)
  return end
  if (obj.brosh_3_13 and obj.brosh_3_13.is_collapsed and obj.gems_7_13)
  and (obj.gems_7_13.is_collapsed and flags.videlBryuliki and not neighbors.TumbaSkameyka.lock) then
    giveMeHint(obj.mini_Tumba_6_0.id)
  return end
  if not neighbors.HollMuzeyaBalerina.lock and flags.fotoBaleriny then
    giveMeHint(obj.mini_HollMuzeyaBalerina_6_0.id)
  return end
  if obj.tryapkaMokraya_5_14 and obj.tryapkaMokraya_5_14.is_stored then
    giveMeHint(obj.mini_Zerkalo_6_0.id)
  return end
  if not neighbors.HollMuzeyaTajnik.lock then
    giveMeHint(obj.mini_HollMuzeyaTajnik_6_0.id)
  return end
  CreatePlashechka("10001")
end;
if flags.HollMuzeyaHidden2 then
neighbors.HollMuzeyaHidden.lock = false
end;

if neighbors.TumbaSkameyka.lock then
  set_visible_object(obj.mini_Tumba_6_0.id,false)
  set_visible_object(obj.otkrytyj_yaschik_6_0.id,true)
else
  set_visible_object(obj.otkrytyj_yaschik_6_0.id,false)
end
if neighbors.HollMuzeyaBalerina.lock then
  set_visible_object(obj.mini_HollMuzeyaBalerina_6_0.id,false)
  if not flags.tajnikVHolle then
    flags.tajnikVHolle = true
    speciale_action(2,obj.tajnik_6_0.id,true,3)
    CreatePlashechka("644")
    playeffect("wall_holl")
  else
    set_visible_object(obj.tajnik_6_0.id,true)
  end
else
  set_visible_object(obj.tajnik_6_0.id,false)
end
if neighbors.HollMuzeyaTajnik.lock then
  set_visible_object(obj.mini_HollMuzeyaTajnik_6_0.id,false)
else
  set_visible_object(obj.mini_HollMuzeyaTajnik_6_0.id,true)
end
if neighbors.HollMuzeyaHidden.lock then
  set_visible_object(obj.door_HollMuzeyaHidden_6_0.id,false)
else
  set_visible_object(obj.door_HollMuzeyaHidden_6_0.id,true)
end
if neighbors.Zerkalo.lock then
  set_visible_object(obj.mini_Zerkalo_6_0.id,false)
end

if not Journal.pages[5] then
  Journal:addText(5,"9006",168,451,330)
  Journal:addPicture(5,"page5",83,51,0,560,443,376);
end
function gameinput (sender,obj_id,attachedID)
  sendersProcessing(sender,obj_id,attachedID)
  if sender==16 then
    if obj_id==124 then
      speciale_action(2,125,true,3)
      speciale_action(2,124,true,2.9)    
    return;end;
    if obj_id==125 then
      speciale_action(2,124,true,3)
      speciale_action(2,125,true,2.9)    
    return;end;    
    if obj_id==126 then
      speciale_action(2,127,true,3)
      speciale_action(2,126,true,2.9)    
    return;end;
    if obj_id==127 then
      speciale_action(2,126,true,3)
      speciale_action(2,127,true,2.9)    
    return;end;      
  return;end;  
  
  if sender==36 then
    if obj_id==1222 then
      StartTravel(122,2,nil,nil,flySp,flySp1);
      StartTimer(1222,15)
    return;end;
  return;end;  
  
  if sender==1 then
    if obj_id == obj.door_Muzey_6_0.id then
      jump("Muzey");
    end;
    if obj_id == obj.door_ZalMuzeya_6_0.id then
      jump("ZalMuzeya");
    end;
    if obj_id == obj.door_KoridorMuzeya_6_0.id or obj_id == obj.door_KoridorMuzeya_6_01.id  then
      jump("KoridorMuzeya");
    end;
    if obj_id == obj.door_HollMuzeyaHidden_6_0.id then
      flags.is_hidden_loc = true;
      jump("HollMuzeyaHidden");
    end;
    if obj_id == obj.mini_Zerkalo_6_0.id then
      CreateSatelite("Zerkalo");
      playeffect("sat")
    end;
    if obj_id == obj.mini_HollMuzeyaTajnik_6_0.id then
      CreateSatelite("HollMuzeyaTajnik");
      playeffect("sat")
    end;
    if obj_id == obj.mini_HollMuzeyaBalerina_6_0.id then
      CreateSatelite("HollMuzeyaBalerina");
      playeffect("sat")
    end;
    if obj_id == obj.mini_Tumba_6_0.id then
      CreateSatelite("TumbaSkameyka");
      playeffect("sat")
    end;
  end
end


